# 'constants'

# page types:
# -1 - none yet
# 0 - function
# 1 - macro
# 2 - pragma
# 3 - text to be put on the index page

# states in the inner loop
# 0 - looking for a page start
# 1 - looking for page title
# 2 - detected comment start
# 3 - writing free text
# 4 - detected code start
# 5 - writing code text

TYPE_NONE = -1
TYPE_FN = 0
TYPE_DEF = 1
TYPE_PRAGMA = 2
TYPE_TYPEDEF = 3
TYPE_NOTE = 4
TYPE_INDEX = 5

TYPE_MIN = TYPE_FN
TYPE_MAX = TYPE_NOTE+1

STATE_NOPAGE = 0
STATE_START_PAGE = 1
STATE_START_TEXT = 2
STATE_IN_TEXT = 3
STATE_START_CODE = 4
STATE_IN_CODE = 5
